Kaldi

From Bitpost wiki
Jump to: navigation, search
sudo apt install subversion libatlas3-base 
cd development
git clone https://github.com/kaldi-asr/kaldi.git kaldi --origin upstream
cd kaldi/tools
extras/check_dependencies.sh 
# it wants me to: ln -s -f bash /bin/sh
# i don't think so... ubuntu has used dash since v8 or so...
# edit Makefile, use the newer version of OPENFST (1.4.1)
make
cd ../src
./configure --shared
make depend
make -j 6